<mat-toolbar color="primary">
    <span>Prueba Técnica Desarrollador Angular</span>
</mat-toolbar>
<div class="container">
    <mat-card class="mat-elevation-z5">
        <div class="top-container">
            <div class="offerSelect">
                <mat-form-field appearance="fill">
                    <mat-label>Offers</mat-label>
                    <mat-select (selectionChange)="changeOffer($event.value.versions)">
                        <mat-option *ngFor="let offer of offers; let i = index" [value]="offer">
                            Offer {{i+1}}
                        </mat-option>
                    </mat-select>
                    <mat-hint>Please choose one offer!</mat-hint>
                </mat-form-field>
            </div>
            <app-offer [offer]=selectedOffer></app-offer>
        </div>

        <div class="bottom-container">
            <app-characteristics [characteristics]=selectedOffer.characteristics></app-characteristics>
            <app-prices [prices]=selectedOffer.productOfferingPrices></app-prices>
        </div>
    </mat-card>
</div>